Bug 1254909 - show diff on history tab opens two browser tabs with diff page
show diff on history tab opens two browser tabs with diff page
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity low (vote)
: 6.1.5
: --
Assigned To: Shlomi Zadok
Tazim Kolhar
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 04:44 EDT by Fred van Zwieten
Modified: 2017-02-23 14:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 04:19:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 8822 None None None 2016-04-22 11:59 EDT

  None (edit)
Description Fred van Zwieten 2015-08-19 04:44:55 EDT
Description of problem:
When you click on show diff on the history page of a provisioning template (which *has* a history), it opens duplicate tabs in the browser.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create custom prov template and submit
2. Change template and submit
3. Click on show diff on the history tab of template

Actual results:


Expected results:


Additional info:
Tested with Firefox 39.0.3 on Fedora and Firefox 40 on Windows.
Comment 1 Bryan Kearney 2015-08-25 14:55:24 EDT
Created redmine issue http://projects.theforeman.org/issues/11562 from this bug
Comment 2 Bryan Kearney 2015-08-25 16:07:03 EDT
Upstream bug component is Provisioning Templates
Comment 7 Tazim Kolhar 2015-11-25 04:54:03 EST
VERIFIED:
# rpm -qa  | grep foreman
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.10-1.el7sat.noarch
foreman-gce-1.7.2.47-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
hp-bl490cg6-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-2.noarch
foreman-debug-1.7.2.47-1.el7sat.noarch
foreman-compute-1.7.2.47-1.el7sat.noarch
foreman-vmware-1.7.2.47-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.2.4-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.5-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.13-1.el7sat.noarch
hp-bl490cg6-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-bl490cg6-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-ovirt-1.7.2.47-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.22-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.14-1.el7sat.noarch
foreman-selinux-1.7.2.17-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
foreman-postgresql-1.7.2.47-1.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.24-1.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el7sat.noarch
foreman-libvirt-1.7.2.47-1.el7sat.noarch
foreman-1.7.2.47-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.15.7-1.el7sat.noarch
foreman-proxy-1.7.2.6-1.el7sat.noarch

steps:
1. Create custom prov template and submit
2. Change template and submit
3. Click on show diff on the history tab of template

When you click on show diff on the history page of a provisioning template it
opens a single tab without any duplication
Comment 9 errata-xmlrpc 2015-12-15 04:19:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622

Note You need to log in before you can comment on or make changes to this bug.